Loading...
Searching...
No Matches
AVDXVA2FramesContext Struct Reference

This struct is allocated as AVHWFramesContext.hwctx. More...

`#include <libavutil/hwcontext_dxva2.h>`

## Data Fields

DWORD | surface_type
| The surface type (e.g.
IDirect3DSurface9 ** | surfaces
| The surface pool.
int | nb_surfaces
IDirectXVideoDecoder * | decoder_to_release
| Certain drivers require the decoder to be destroyed before the surfaces.

## Detailed Description

This struct is allocated as AVHWFramesContext.hwctx.

Definition at line 46 of file hwcontext_dxva2.h.

## Field Documentation

## surface_type

DWORD AVDXVA2FramesContext::surface_type

The surface type (e.g.

DXVA2_VideoProcessorRenderTarget or DXVA2_VideoDecoderRenderTarget). Must be set by the caller.

Definition at line 51 of file hwcontext_dxva2.h.

## surfaces

IDirect3DSurface9** AVDXVA2FramesContext::surfaces

The surface pool.

When an external pool is not provided by the caller, this will be managed (allocated and filled on init, freed on uninit) by libavutil.

Definition at line 58 of file hwcontext_dxva2.h.

## nb_surfaces

int AVDXVA2FramesContext::nb_surfaces

Definition at line 59 of file hwcontext_dxva2.h.

## decoder_to_release

IDirectXVideoDecoder* AVDXVA2FramesContext::decoder_to_release

Certain drivers require the decoder to be destroyed before the surfaces.

To allow internally managed pools to work properly in such cases, this field is provided.

If it is non-NULL, libavutil will call IDirectXVideoDecoder_Release() on it just before the internal surface pool is freed.

This is for convenience only. Some code uses other methods to manage the decoder reference.

Definition at line 72 of file hwcontext_dxva2.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_dxva2.h